Python3: xrange is not available

Bug #1291191 reported by Fengqian on 2014-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ironic
Fix Released
Undecided
Fengqian
Sahara
Fix Released
Low
Fengqian
zaqar
Undecided
Fengqian

Bug Description

Xrange is not available in python 3, you have to use list(range) instead.

from six.moves import xrange

Fengqian (fengqian-gao) on 2014-03-12
Changed in sahara:
assignee: nobody → Fengqian (fengqian-gao)
status: New → In Progress
Changed in sahara:
milestone: none → icehouse-rc1
Changed in sahara:
importance: Undecided → Low
Fengqian (fengqian-gao) on 2014-03-12
Changed in ironic:
assignee: nobody → Fengqian (fengqian-gao)

Fix proposed to branch: master
Review: https://review.openstack.org/79875

Changed in ironic:
status: New → In Progress
Fengqian (fengqian-gao) on 2014-03-12
Changed in marconi:
assignee: nobody → Fengqian (fengqian-gao)

Fix proposed to branch: master
Review: https://review.openstack.org/79879

Changed in marconi:
status: New → In Progress

Reviewed: https://review.openstack.org/79879
Committed: https://git.openstack.org/cgit/openstack/marconi/commit/?id=524eaeba94c5434be6bfb0da5c4c2a3c5e4369a2
Submitter: Jenkins
Branch: master

commit 524eaeba94c5434be6bfb0da5c4c2a3c5e4369a2
Author: Fengqian Gao <email address hidden>
Date: Wed Mar 12 16:40:19 2014 +0800

    Keep python 3.X compatibility for xrange

    Use six.move.xrange instead of xrange. xrange is replaced
    by range in python3.

    closes-bug: #1291191

    Change-Id: I95b68c055c4a7e7c0d77e08e6ce409cf1892ed56

Changed in marconi:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/79875
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=5e4ef7d4f1f878eea4ef0e23e98cc3fa9874906c
Submitter: Jenkins
Branch: master

commit 5e4ef7d4f1f878eea4ef0e23e98cc3fa9874906c
Author: Fengqian Gao <email address hidden>
Date: Wed Mar 12 16:31:14 2014 +0800

    Use range instead xrange to keep python 3.X compatibility

    xrange is replaced by range in python3. Lists that be created
    in the test cases are short, so just use range instead.

    closes-bug: #1291191

    Change-Id: I8e604ea62150905563cb90aa0d227b11628e9ecc

Changed in ironic:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/79849
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=56d084cdef0db989aea96b1f1526c84f402160cb
Submitter: Jenkins
Branch: master

commit 56d084cdef0db989aea96b1f1526c84f402160cb
Author: Fengqian Gao <email address hidden>
Date: Wed Mar 19 16:08:29 2014 +0800

    Keep python 3.X compatibility for xrange

    Use six.move.xrange instead of xrange. xrange is replaced
    by range in python3.

    closes-bug: #1291191

    Change-Id: I15454421d3c120ba828efe1947437bba87d7357f

Changed in sahara:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-01
Changed in ironic:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-04
Changed in sahara:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-16
Changed in marconi:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-rc1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in marconi:
milestone: icehouse-rc1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-rc1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers